Pix ProcessamentoPix Processamento Docs
API 端点报表

列出报告

GET
/user/report

认证

BearerAuth
认证Bearer <token>

位置: header

Query 参数

page?integer
默认值1
范围1 <= value
limit?integer
默认值10
范围1 <= value <= 100
status?string
值位于"PENDING" | "RUNNING" | "COMPLETED" | "FAILED"
createdAtFrom?string

Filter: created from.

格式date-time
createdAtTo?string

Filter: created up to.

格式date-time
updatedAtFrom?string

Filter: updated from.

格式date-time
updatedAtTo?string

Filter: updated up to.

格式date-time
sortBy?string

Sort field.

默认值"createdAt"
值位于"createdAt" | "updatedAt"
sortDirection?string

Sort direction.

默认值"desc"
值位于"asc" | "desc"

响应体

application/json

application/json

application/json

application/json

curl -X GET "https://api.exemplo.processamento.com/v1/user/report"
{
  "total": 9,
  "pages": 3,
  "reports": [
    {
      "id": "5224fd4e-0abb-4498-a79b-9398ea6712ad",
      "status": "COMPLETED",
      "createdAt": "2026-05-06T16:39:52.944Z",
      "updatedAt": "2026-05-06T16:39:53.500Z",
      "expiresAt": "2026-05-13T16:39:52.996Z"
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}